# Simulations_of_five_wind_turbines_in_a_row
 
https://doi.org/10.5194/wes-2021-105

## Introduction
Results from RANS simulations performed with the incompressible finite volume flow solver EllipSys3D. The numerical setup consists of five turbines aligned in a row perpendicular to the prevailing wind, similar to power performance test sites. Additionally, the same numerical setup is used to simulate the performance of an isolated turbine operating under the same conditions of the five wind turbines. More information about the simulations can be found at https://doi.org/10.5194/wes-2021-105. Two Python scripts are available to retrieve the same information presented by Sebastiani et al. (https://doi.org/10.5194/wes-2021-105). Specifically, figures 3-9 from the paper can be generated. 

## Files Content

#### Row 1.8D.txt, Row 2D.txt, Row 3D.txt 
Power output of five wind turbines in a row with different spacing (1.8, 2 and 3 rotor diameters). Results are available for a number of cases with variations of both the free-stream velocity (U_inf) and the inflow angle between the wind direction and the line perpendicular to the row (theta). For the case with a 2D spacing, also virtual measurements from both a meteorological mast and a nacelle-mounted two-beams lidar are available at 2.5D in front of each turbine.

#### Isolated.txt
Power output of an isolated turbine located in the centre of the row and operating under the same conditions. Virtual measurements from both a meteorological mast and a nacelle-mounted two-beams lidar are available at 2.5D in front of the turbine. 

#### Vertical_lines_U8_Yaw0_2D.txt, Vertical_lines_U8_Yaw0_isolated.txt
Velocity vectors extracted along vertical lines in front of the turbines for the case with a free-stream velocity of 8 m/s and direction perpendicular to the row (theta=0). Both the position (x,y,z) and the full velocity vector (u,v,w) are reported at each point of extraction. 

#### Horiz_lines_U7_Yaw45_isolated.txt, Horiz_lines_U8_Yaw45_isolated.txt, Horiz_lines_U11_Yaw45_isolated.txt
Velocity vectors extracted along horizontal lines perpendicularly to the rotor in the isolated case (U_inf = 7,8 and 11 m/s; theta = 45). Both the position (x,y,z) and the full velocity vector (u,v,w) are reported at each point of extraction.

#### Analysis_1.py, Analysis_2.py
Scripts used to analyze the results. Specifically, figures 3-9 from Sebastiani et al. (https://doi.org/10.5194/wes-2021-105) can be retrieved. 

## Citing 
If you make use of the material in this repository, please cite both the journal article and the data repository.



